AOZ Studio Beta - Bug #808

Parameters not working properly on Instruction command with AOZ code.
08/08/2021 04:38 PM - Brian Flanagan

Status: Closed Start date: 08/08/2021
Priority: High Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 1.0.0 (B10) u16

Affected version: 1.0.0 (B9) u16

Description

Example:

Instruction "Regular Polygon", x,y,radius,sides
startX=x
start¥=y
Print startX, startY, radius, sides

End Instruction

Regular Polygon 100,100,50,5

The above returns:
NaN NaN undefined undefined

This bug can be circumvented by grabbing the JavaScript equivalents of the parameters:

Instruction "Regular Polygon", x,y,radius,sides
startX = { vars.x }
startY = { vars.y }
radius = { vars.radius }
sides = { vars.sides }
Print startX, startY, radius, sides
End Instruction

Regular Polygon 100,100,50,5

...which prints the proper results:
100 100 50 5

History

#1 - 08/09/2021 11:11 AM - Brian Flanagan
- Priority changed from Normal to High

#2 - 09/06/2021 07:42 PM - Brian Flanagan
Re-tested in 1.0.0 (B10) u16

Still fails.

#3 - 09/06/2021 07:43 PM - Brian Flanagan

Now, instead of NaN, it gets Internal Error.

#4 - 09/06/2021 07:47 PM - Brian Flanagan

Also... the work-around no longer works.

#5 - 09/07/2021 06:05 AM - Francois Lionet

- Assignee set to Francois Lionet

Fixed, for good this time...
#6 - 09/08/2021 10:31 AM - Brian Flanagan
- Status changed from New to Resolved

- Target version changed from none to 1.0.0 (B10) u16

Tested in 1.0.0 (B10) u16 (9/7)
Works!

Thanks, Francois!

#7 - 09/18/2021 01:13 AM - Brian Flanagan

- Status changed from Resolved to Closed
